I want to buy battery 4 right now !! I need an older version that works with

Multimeterman
Multimeterman Member Posts: 15 Member

OS 10.15.7

I have kontakt and i want to buy battery 4 while I can use the sale voucher . I need a slightly older version of battery 4 so I can run it on Catalina . I didn’t see battery 4 listed under older versions ? Maybe I missed it ….any help is appreciated .

Comments

Back To Top